This discussion is archived
5 Replies Latest reply: Jan 20, 2013 6:35 AM by Srini Chavali-Oracle RSS

Missing package.

user12167361 Newbie
Currently Being Moderated
Hi,

I am trying to install oracle 11g on Oracle Linux 6.3. During installation, installer showing some missing packages but when I check those packages I am to locate later version of packages.

Please help to resolve this.

Thank You.
  • 1. Re: Missing package.
    phaeus Pro
    Currently Being Moderated
    Hello,
    which exact version did you try to intall? 4 digit...

    Which Package did you exactly mean?

    regards
    Peter
  • 2. Re: Missing package.
    Sebastian Solbach (DBA Community) Guru
    Currently Being Moderated
    Hi,

    if you use OL, install the Oracle preinstall package:

    https://blogs.oracle.com/linux/entry/oracle_rdbms_server_11gr2_pre

    This will pull all necessary packages.
    And by the way in most cases newer versions are o.k. (however there are some exceptions to this).

    Regards
    Sebastian
  • 3. Re: Missing package.
    user12167361 Newbie
    Currently Being Moderated
    I tried to install oracle-rdbms-server-11gR2-preinstall RPM using the yum install command but got below message,

    [root@richpras ~]# yum install oracle-rdbms-server-11gR2-preinstall
    Loaded plugins: aliases, changelog, downloadonly, kabi, presto, refresh-
    : packagekit, security, tmprepo, verify, versionlock
    Loading support for kernel ABI
    ol6_UEK_latest | 1.2 kB 00:00
    ol6_UEK_latest/primary | 5.3 MB 01:07
    ol6_UEK_latest 127/127
    ol6_latest | 1.4 kB 00:00
    ol6_latest/primary | 24 MB 04:53
    ol6_latest 18425/18425
    Setting up Install Process
    Package oracle-rdbms-server-11gR2-preinstall-1.0-6.el6.x86_64 already installed and latest version
    Nothing to do
    [root@richpras ~]#

    Please help.
  • 4. Re: Missing package.
    user12167361 Newbie
    Currently Being Moderated
    I read somewhere that erros which can usually be ignored since OUI does not recognise newer packages,

    INFO: Error Message:PRVF-7532 : Package "libaio-0.3.105 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "compat-libstdc++-33-3.2.3 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "libaio-devel-0.3.105 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "libgcc-3.4.6 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "libstdc++-3.4.6 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "unixODBC-2.2.11 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "unixODBC-devel-2.2.11 (i386)" is missing on node "<node_name>"
    INFO: Error Message:PRVF-7532 : Package "pdksh-5.2.14" is missing on node "<node_name>"

    Is this ture ? Because I am also getting the same packages list.

    Please help.

    Thank You.
  • 5. Re: Missing package.
    Srini Chavali-Oracle Oracle ACE Director
    Currently Being Moderated
    Pl note that only 11.2.0.3 is certified to be installed on Linux 6.x - http://docs.oracle.com/cd/E11882_01/relnotes.112/e23558/toc.htm#CHDFHIEA

    If you are installing 11.2.0.1 or 11.2.0.2, you will need to use Linux 5.x

    HTH
    Srini

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points